﻿using Syncfusion.Windows.Tools;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace QATSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            //UpdateQAT();
            Syncfusion.Windows.Shared.SkinStorage.SetVisualStyle(this, "Office2013");
        }

        private void UpdateQAT()
        {
            ribbon.QuickAccessToolBar.Items.Clear();

            RibbonButton QATRibbonButton1 = new RibbonButton();
            QATRibbonButton1.SmallIcon = new BitmapImage(new Uri("/Resources/Redo16.png", UriKind.Relative));
            QATRibbonButton1.Label = "Redo";
            QATRibbonButton1.SizeForm = SizeForm.ExtraSmall;
            QATRibbonButton1.Click += QATRibbonButton1_Click;

            RibbonButton QATRibbonButton2 = new RibbonButton();
            QATRibbonButton2.SmallIcon = new BitmapImage(new Uri("/Resources/Undo16.png", UriKind.Relative));
            QATRibbonButton1.Label = "Undo";
            QATRibbonButton2.SizeForm = SizeForm.ExtraSmall;
            QATRibbonButton2.Click += QATRibbonButton2_Click;

    
            SplitButton QATSplitButton = new SplitButton();
            QATSplitButton.Items.Add(QATRibbonButton1);
            QATSplitButton.Items.Add(QATRibbonButton2);

            ribbon.QuickAccessToolBar.Items.Add(QATSplitButton);
           
        }

        void QATRibbonButton1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("QAT RibbonButton1 clicked");
        }

        void QATRibbonButton2_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("QAT RibbonButton2 clicked");
        }

        private void RibbonButton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("clicked");
        }

        private void UpdateQATRibbonButton_Click(object sender, RoutedEventArgs e)
        {
            this.UpdateQAT();
        }
    }
 }
